Fapi_GetTcti
Feature API

## Functions

TSS2_RC | Fapi_GetTcti (FAPI_CONTEXT *context, TSS2_TCTI_CONTEXT **tcti)

## Detailed Description

FAPI function to retrieve the TSS2_TCTI_CONTEXT currently used by the corresponding FAPI_CONTEXT.

## Function Documentation

## Fapi_GetTcti()

TSS2_RC Fapi_GetTcti | ( | FAPI_CONTEXT * | context,
|  | TSS2_TCTI_CONTEXT ** | tcti )

One-Call function for Fapi_GetTcti

Fapi_GetTcti returns the TSS2_TCTI_CONTEXT currently used by the provided FAPI_CONTEXT. The purpose is to enable advanced access to the TPM that is currently being talked to. It is especially useful in combination with Fapi_GetTpmBlobs().

Note: The application must ensure that this TSS2_TCTI_CONTEXT is not being used in parallel to the processing of a FAPI command.

Parameters

  [in,out] | context | The FAPI_CONTEXT
  [out] | tcti | The TSS2_TCTI_CONTEXT used to talk to the current TPM.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context, tcti is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_NO_TPM | if FAPI was started in non-TPM mode.